## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDestroyEntityQuestRewardFactory Struct Reference

This interface is implemented by the reward that destroys an entity. More...

`#include <tools/questmanager.h>`

List of all members.

## Public Member Functions

virtual void | SetEntityParameter (const char *entity)=0
| Set the name of the entity.

## Detailed Description

This interface is implemented by the reward that destroys an entity.

You can query this interface from the reward factory if you want to manually control this factory as opposed to loading its definition from an XML document.

The predefined name of this reward type is 'cel.questreward.destroyentity'.

In XML, factories recognize the following attribute on the 'op' node:

- entity: the name of the entity to send the message too.

Definition at line 1633 of file questmanager.h.

## Member Function Documentation

virtual void iDestroyEntityQuestRewardFactory::SetEntityParameter | ( | const char * | entity | ) | `[pure virtual]`

Set the name of the entity.

Parameters:

  | entity | is the name of the entity or a parameter (starts with '$').

The documentation for this struct was generated from the following file:

- tools/questmanager.h